Bug 10906 - [FR] disable rawdevices service by default
: [FR] disable rawdevices service by default
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-22 19:58 by
Modified: 2010-08-28 01:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-22 19:58:45
It's suggested to disable rawdevices service by default; since these are
extremely rarely needed, maybe even worth splitting off from startup (not sure
on this, just checked CentOS 4.4: this script _does_ belong to initscripts)
------- Comment #1 From 2007-02-23 21:34:50 -------
http://git.altlinux.org/people/ldv/packages/?p=startup.git;a=commit;h=10833c572db46045168e4c31bc482931b217bb38

This change should be enough, isn't it?
------- Comment #2 From 2007-02-23 22:51:11 -------
I don't know -- just disabled the whole thing, even back when I've dealt with
Oracle on ALM2.0 (they didn't need it too there).
------- Comment #3 From 2010-02-24 01:54:00 -------
Please merge this commit:
http://git.altlinux.org/people/mike/packages/?p=startup.git;a=commitdiff;h=658e27d993c1c340cf169c580c514c15da2c4f82
...or mark this WONTFIX, and let's get done with it.
------- Comment #4 From 2010-08-28 01:20:42 -------
startup-0.9.8.28-alt1 -> sisyphus:

* Fri Aug 27 2010 Dmitry V. Levin <ldv@altlinux> 0.9.8.28-alt1
- Added dependence on /sbin/fsck (closes: #22410).
- init.d/rawdevices: turned off by default
  (by Michael Shigorin; closes: #10906).
- rc.sysinit:
  + Disable update of /etc/mtab when the latter is a symlink
    (by Alexey I. Froloff; closes: #23133).
  + No longer try to mount already mounted /proc and /sys
    (closes: #23660).
  + Disable USEMODULES when /sbin/modprobe is not available,
    thus removed hard dependence on module-init-tools
    (closes: #11033).
  + Refactored automatic reboot.
  + Added SELinux support
    (by Mikhail Efremov and me).
- init.d/halt:
  + Made halt action configurable, default remains unchanged
    (by Sergey Y. Afonin and me; closes: #10326).
  + Reworked unmounting of virtual filesystems so that /proc, /sys,
    /dev and any usbfs inside /dev are nor longer unmounted
    (closes: #11888, #22118).